Biorhythm (SVG)
POST
/render/biorhythm
curl -X POST https://api.astroway.info/v1/render/biorhythm \ -H "X-Api-Key: aw_live_..." \ -H "Content-Type: application/json" \ -d '{ "birthDate": "1990-05-15", "rangeStart": "2026-01-01", "rangeEnd": "2026-12-31", "options": { "width": 1000, "height": 400 } }'const res = await fetch('https://api.astroway.info/v1/render/biorhythm', { method: 'POST', headers: { 'X-Api-Key': process.env.ASTROWAY_API_KEY, 'Content-Type': 'application/json', }, body: JSON.stringify({ "birthDate": "1990-05-15", "rangeStart": "2026-01-01", "rangeEnd": "2026-12-31", "options": { "width": 1000, "height": 400 } }),});const { ok, data, error } = await res.json();if (!ok) throw new Error(error.message);console.log(data);import os, requests
r = requests.post( 'https://api.astroway.info/v1/render/biorhythm', headers={'X-Api-Key': os.environ['ASTROWAY_API_KEY'], 'Content-Type': 'application/json'}, json={ 'birthDate': "1990-05-15", 'rangeStart': "2026-01-01", 'rangeEnd': "2026-12-31", 'options': { 'width': 1000, 'height': 400 } },)result = r.json()if not result['ok']: raise RuntimeError(result['error']['message'])print(result['data'])<?phpuse GuzzleHttp\Client;
$client = new Client(['base_uri' => 'https://api.astroway.info/v1/']);$r = $client->post('render/biorhythm', [ 'headers' => ['X-Api-Key' => getenv('ASTROWAY_API_KEY')], 'json' => [ 'birthDate' => '1990-05-15', 'rangeStart' => '2026-01-01', 'rangeEnd' => '2026-12-31', 'options' => [ 'width' => 1000, 'height' => 400, ], ],]);$result = json_decode($r->getBody(), true);if (!$result['ok']) throw new \RuntimeException($result['error']['message']);print_r($result['data']);Three-curve sine plot of physical (23d), emotional (28d), and intellectual (33d) cycles since birth.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
birthDate required
string
rangeStart required
string
rangeEnd required
string
options
object
size
integer
theme
string
showAspects
boolean
showRetrograde
boolean
title
string
format
string
width
integer
height
integer
Example
{ "birthDate": "1990-05-15", "rangeStart": "2026-01-01", "rangeEnd": "2026-12-31", "options": { "width": 1000, "height": 400 }}Responses
Section titled “ Responses ”Successful calculation
Media type application/json
object
ok
boolean
data
object
svg
string
format
string
byteLength
number
Example
{ "ok": true, "data": { "svg": "<svg ...>", "format": "svg", "byteLength": 60000 }}Validation error
Media type application/json
Example
{ "ok": false, "error": { "code": "INVALID_INPUT", "message": "Validation failed: date: Date must be YYYY-MM-DD", "details": [ { "path": "date", "message": "Date must be YYYY-MM-DD" } ] }}Missing or invalid API key
Media type application/json
Example
{ "ok": false, "error": { "code": "INVALID_API_KEY", "message": "Invalid API key" }} Корисно?
Дякуємо за фідбек.